<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

/**
 * This function is called before processing an API request, to determine if the request
 * should be processed. It should check API keys to make sure the request is allowed.
 * @return bool true to let the request in, false otherwise
 */
function authenticaterequest(): bool {
    if (strpos($_SERVER["REMOTE_ADDR"], "127.") === 0) {
        return true;
    }
    return true;
}